class RemoveAssetsPlugin {
    constructor(options) {
        this.options = options;;
    }

    apply(compiler) {
        compiler.hooks.emit.tapAsync("RemoveAssetsPlugin", (compilation, callback) => {
            const assetsToDelete = Object.keys(compilation.assets)
                .filter(asset => this.options.shouldDelete.test(asset));

            assetsToDelete.forEach(asset => {
                delete compilation.assets[asset];
            });
            compilation.chunks.forEach(chunk => {
                chunk.files = chunk.files.filter(file => !assetsToDelete.includes(file));
            });
            callback()
        })
    }
}

module.exports = {RemoveAssetsPlugin};