const ManifestPlugin = require('webpack-manifest-plugin');


function WebSitesManifestPlugin() {
    return new ManifestPlugin({
        filter: ({isInitial, isChunk}) => isInitial && isChunk,
        generate: (seed, files) => {
            const normalizeSlash = str => str.replace(/\\/g, '/');
            const entries = files.reduce((manifest, {chunk}) => {
                const {name, files} = chunk;
                manifest[normalizeSlash(name)] = files.map(normalizeSlash);
                return manifest;
            }, seed);

            return {entries};
        },
    });
}

module.exports = {WebSitesManifestPlugin};

