const glob = require('webpack-glob-entry');
const path = require('path');

function getEntryName(filePath, baseEntryPath)
{
    const extension = path.extname(filePath);
    return path
        .relative(baseEntryPath, filePath)
        .slice(0, -extension.length);
}

module.exports = {
    getEntries: (baseEntryPath, entryTemplate) =>
    {
        return glob(s => getEntryName(s, baseEntryPath), 
            path.resolve(baseEntryPath, entryTemplate));
    }
};